> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Avatar

> Fetch a single custom avatar by its internal `id`. Use this to poll a job's `status` until it becomes `COMPLETED`. Requires `x-api-key` authentication.



## OpenAPI

````yaml GET /v2/custom-avatar/{id}
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /v2/custom-avatar/{id}:
    servers:
      - url: https://api.trugen.ai
    get:
      summary: Get Custom Avatar
      description: >-
        Fetch a single custom avatar by its internal `id`. Use this to poll a
        job's `status` until it becomes `COMPLETED`. Requires `x-api-key`
        authentication.
      operationId: getCustomAvatar
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            Internal UUID of the custom avatar (returned from the create call as
            `id`).
          schema:
            type: string
            format: uuid
          example: 3b6f4c8a-1234-5678-9abc-def012345678
      responses:
        '200':
          description: Custom avatar row
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  job_id:
                    type: string
                  avatar_key_id:
                    type: string
                  avatar_id:
                    type: string
                  avatar_name:
                    type: string
                  gender:
                    type: string
                  category:
                    type: string
                  status:
                    type: string
                    example: COMPLETED
                  is_private:
                    type: boolean
                  output:
                    type: object
                  error:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '404':
          description: Custom avatar not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````